import request from '@/utils/request'

// 查询设备列表
export function listDevice(query) {
  return request({
    url: '/system/device/list',
    method: 'get',
    params: query
  })
}

// ids查询设备列表
export function listDeviceByIds(ids) {
  return request({
    url: `/system/device/listByIds/${ids}`,
    method: 'get',
  })
}

// 查询设备详细
export function getDevice(deviceId) {
  return request({
    url: '/system/device/' + deviceId,
    method: 'get'
  })
}

// 新增设备
export function addDevice(data) {
  return request({
    url: '/system/device',
    method: 'post',
    data: data
  })
}

// 修改设备
export function updateDevice(data) {
  return request({
    url: '/system/device',
    method: 'put',
    data: data
  })
}

// 修改设备SN
export function updateDeviceSn(deviceId, sn) {
  return request({
    url: `/system/device/${deviceId}/bindSn/${sn}`,
    method: 'put'
  })
}

// 删除设备
export function delDevice(deviceId) {
  return request({
    url: '/system/device/' + deviceId,
    method: 'delete'
  })
}


// 逻辑删除设备
export function logicDelDevice(deviceId) {
  return request({
    url: '/system/device/logic/' + deviceId,
    method: 'delete'
  })
}


// 逻辑删除设备
export function refreshIot(deviceId) {
  return request({
    url: `/system/device/${deviceId}/refreshIot`,
    method: 'get'
  })
}
