import request from '@/utils/request'

// 查询充值记录列表
export function listBill(query) {
  return request({
    url: '/system/bill/list',
    method: 'get',
    params: query
  })
}

// 查询充值记录详细
export function getBill(billId) {
  return request({
    url: '/system/bill/' + billId,
    method: 'get'
  })
}

// 新增充值记录
export function addBill(data) {
  return request({
    url: '/system/bill',
    method: 'post',
    data: data
  })
}

// 修改充值记录
export function updateBill(data) {
  return request({
    url: '/system/bill',
    method: 'put',
    data: data
  })
}

// 删除充值记录
export function delBill(billId) {
  return request({
    url: '/system/bill/' + billId,
    method: 'delete'
  })
}

// 提现审核通过
export function passWithDrawBill(data) {
  return request({
    url: '/system/bill/withdraw/pass',
    method: 'put',
    data: data
  })
}

// 提现审核拒绝
export function rejectWithDrawBill(data) {
  return request({
    url: '/system/bill/withdraw/reject',
    method: 'put',
    data: data
  })
}

// 提现打款
export function payWithDrawBill(billId) {
  return request({
    url: `/system/bill/withdraw/pay/${billId}`,
    method: 'put',
    data: {}
  })
}
